net.dontdrinkandroot.cache.expungestrategy.impl

## Class LfuExpungeStrategy

- java.lang.Object
- - net.dontdrinkandroot.cache.expungestrategy.impl.AbstractMaxSizeExpungeStrategy
  - - net.dontdrinkandroot.cache.expungestrategy.impl.AbstractOneOverMaxSizeExpungeStrategy
    - - net.dontdrinkandroot.cache.expungestrategy.impl.LfuExpungeStrategy

All Implemented Interfaces:
  ExpungeStrategy

    public class LfuExpungeStrategy
    extends AbstractOneOverMaxSizeExpungeStrategy

`ExpungeStrategy` that triggers on each entry added over the max size and selects the least frequently used entry.

Author:
  Philip W. Sorst <philip@sorst.net>

### Field Summary

### Fields inherited from class net.dontdrinkandroot.cache.expungestrategy.impl.AbstractMaxSizeExpungeStrategy

`maxSize`

### Constructor Summary

Constructors
Constructor and Description
`LfuExpungeStrategy(int maxSize)`

### Method Summary

Methods
`protected <K,M extends MetaData> Comparator<Map.Entry<K,M>>` `getComparator()`

### Methods inherited from class net.dontdrinkandroot.cache.expungestrategy.impl.AbstractOneOverMaxSizeExpungeStrategy

`triggers`

### Methods inherited from class net.dontdrinkandroot.cache.expungestrategy.impl.AbstractMaxSizeExpungeStrategy

`getMaxSize, getToExpungeMetaData, setMaxSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LfuExpungeStrategy

    public LfuExpungeStrategy(int maxSize)

### Method Detail

#### getComparator

    protected <K,M extends MetaData> Comparator<Map.Entry<K,M>> getComparator()

Specified by:
  `getComparator` in class `AbstractMaxSizeExpungeStrategy`